Favorites
List Favorite Group Contents
List the favorites in a group, each alongside the object it points at.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
favoriteGroupType*string
The type of group to fetch, must be a valid FavoriteType.
Default
"friend"Value in
"avatar" | "friend" | "vrcPlusWorld" | "world"favoriteGroupName*string
The name of the group to fetch, must be a name of a FavoriteGroup.
Default
"group_0"Query Parameters
ownerId?string
The user whose favorite group to return. Must be a user ID.
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/favorites/groups/avatar/avatar: [ avatars1, avatars2, avatars3, avatars4, avatars5, avatars6 ] friend: [ group_0, group_1, group_2 ] vrcPlusWorld: [ vrcPlusWorlds1, vrcPlusWorlds2, vrcPlusWorlds3, vrcPlusWorlds4 ] world: [ worlds1, worlds2, worlds3, worlds4 ]"{
"favorites": [
{
"avatar": {
"acknowledgements": "string",
"activeAssetReviewId": "string",
"assetUrl": "string",
"assetUrlObject": {},
"attribution": null,
"authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"authorName": "string",
"created_at": "2019-08-24T14:15:22Z",
"description": "string",
"featured": false,
"highestPrice": 0,
"id": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
"imageUrl": "string",
"listingDate": "string",
"lock": true,
"lowestPrice": 0,
"name": "string",
"pendingUpload": false,
"performance": {
"android": "string",
"android-sort": 0,
"ios": "string",
"ios-sort": 0,
"standalonewindows": "string",
"standalonewindows-sort": 0
},
"productId": "string",
"publishedListings": [
{
"description": "string",
"displayName": "string",
"imageId": "string",
"listingId": "string",
"listingType": "string",
"priceTokens": 0
}
],
"releaseStatus": "public",
"searchable": false,
"styles": {
"primary": "string",
"secondary": "string",
"supplementary": [
"string"
]
},
"tags": [
"string"
],
"thumbnailImageUrl": "string",
"unityPackageUrl": "string",
"unityPackageUrlObject": {
"unityPackageUrl": "string"
},
"unityPackages": [
{
"assetUrl": "https://api.vrchat.cloud/api/1/file/file_cd0caa7b-69ba-4715-8dfe-7d667a9d2537/65/file",
"assetUrlObject": {},
"assetVersion": 4,
"created_at": "2020-09-10T06:13:27.777Z",
"id": "unp_52b12c39-4163-457d-a4a9-630e7aff1bff",
"impostorUrl": "string",
"impostorizerVersion": "0.17.0",
"performanceRating": "Excellent",
"platform": "standalonewindows",
"pluginUrl": "",
"pluginUrlObject": {},
"scanStatus": "string",
"unitySortNumber": 20180414000,
"unityVersion": "2022.3.6f1",
"variant": "string",
"worldSignature": "AHiPAWerwCpeYrxDthF5TU2SdUWEWnm43UAn8PKRXlS8k8tVRQ=="
}
],
"updated_at": "2019-08-24T14:15:22Z",
"version": 68
},
"favoriteId": "string",
"id": "string",
"tags": [
"string"
],
"type": "avatar",
"world": {
"authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"authorName": "string",
"capacity": 8,
"created_at": "2019-08-24T14:15:22Z",
"defaultContentSettings": {
"drones": true,
"emoji": true,
"pedestals": true,
"prints": true,
"props": true,
"stickers": true
},
"description": "string",
"disabledPropAbilities": [
null
],
"favoriteGroup": "string",
"favoriteId": "fvrt_9568d189-8776-44a5-a8c8-defc981e44de",
"favorites": 12024,
"featured": false,
"heat": 5,
"id": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd",
"imageUrl": "string",
"isHypeTrainEligible": true,
"labsPublicationDate": "none",
"name": "string",
"occupants": 47,
"organization": "vrchat",
"popularity": 8,
"previewYoutubeId": "string",
"publicationDate": "none",
"recommendedCapacity": 16,
"releaseStatus": "public",
"storeId": "esto_713b247d-2b5d-41a0-bba3-50db28dc1498",
"tags": [
"string"
],
"thumbnailImageUrl": "string",
"udonProducts": [
"prod_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
],
"unityPackages": [
{
"assetUrl": "https://api.vrchat.cloud/api/1/file/file_cd0caa7b-69ba-4715-8dfe-7d667a9d2537/65/file",
"assetUrlObject": {},
"assetVersion": 4,
"created_at": "2020-09-10T06:13:27.777Z",
"id": "unp_52b12c39-4163-457d-a4a9-630e7aff1bff",
"impostorUrl": "string",
"impostorizerVersion": "0.17.0",
"performanceRating": "Excellent",
"platform": "standalonewindows",
"pluginUrl": "",
"pluginUrlObject": {},
"scanStatus": "string",
"unitySortNumber": 20180414000,
"unityVersion": "2022.3.6f1",
"variant": "string",
"worldSignature": "AHiPAWerwCpeYrxDthF5TU2SdUWEWnm43UAn8PKRXlS8k8tVRQ=="
}
],
"updated_at": "2019-08-24T14:15:22Z",
"urlList": [
"string"
],
"version": 1,
"visits": 9988675
}
}
],
"totalCount": 0
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}